RemoveSubUserRoles

View as Markdown

Removes the specified roles of a subuser.

Allowed roles: Owner.

Example request: Remove roles 1,2,3 from the subuser with id = 12.

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

subuser_idintegerRequired
The subuser's ID
role_idlist of integersRequired

The role id list separated by semicolons (;)

role_namelist of stringsRequired

The role name list separated by semicolons (;)

forcebooleanOptional
Whether to remove roles from all subuser keys

Response

Successful response
resultinteger